Package com.sun.jna.platform.dnd

## Class GhostedDragImage

- java.lang.Object
- - com.sun.jna.platform.dnd.GhostedDragImage

    public class GhostedDragImage
    extends java.lang.Object

Provide a ghosted drag image for use during drags where `DragSource.isDragImageSupported()` returns false.

Its location in screen coordinates may be changed via `move(java.awt.Point)`.

When the image is no longer needed, invoke `dispose()`, which hides the graphic immediately, or `returnToOrigin()`, which moves the image to its original location and then disposes it.

### Constructor Summary

Constructors
`GhostedDragImage​(java.awt.Component dragSource, javax.swing.Icon icon, java.awt.Point initialScreenLoc, java.awt.Point cursorOffset)` Create a ghosted drag image, using the given icon.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Make all ghosted images go away.
`void` `move​(java.awt.Point screenLocation)` Move the ghosted image to the requested location.
`void` `returnToOrigin()` Animate the ghosted image returning to its origin.
`void` `setAlpha​(float alpha)` Set the transparency of the ghosted image.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GhostedDragImage

    public GhostedDragImage​(java.awt.Component dragSource,
                            javax.swing.Icon icon,
                            java.awt.Point initialScreenLoc,
                            java.awt.Point cursorOffset)

Create a ghosted drag image, using the given icon.

Parameters:
  `dragSource` - source of the drag
  `icon` - image to be drawn
  `initialScreenLoc` - initial screen location of the image
  `cursorOffset` - offset of the cursor from the image origin

### Method Detail

#### setAlpha

    public void setAlpha​(float alpha)

Set the transparency of the ghosted image.

Parameters:
  `alpha` - transparency level

#### dispose

    public void dispose()

Make all ghosted images go away.

#### move

    public void move​(java.awt.Point screenLocation)

Move the ghosted image to the requested location.

Parameters:
  `screenLocation` - Where to draw the image, in screen coordinates

#### returnToOrigin

    public void returnToOrigin()

Animate the ghosted image returning to its origin.